/**
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
 */

export const SDKMeta = {
    tomcatSAMLAgent: {
        readme: "https://github.com/asgardeo/asgardeo-tomcat-saml-agent/blob/master/README.md",
        samples: {
            root: "https://github.com/asgardeo/asgardeo-auth-angular-sdk/tree/main/samples",
            basicUsage: {
                artifact: "https://github.com/asgardeo/asgardeo-auth-angular-sdk/releases/download/v0.1.0/asgardeo-" +
                    "angular-app.zip",
                repository: "https://github.com/asgardeo/asgardeo-auth-angular-sdk/tree/main/samples/basic-usage"
            }
        }
    },
    angular: {
        npmInstallCommand: "npm install @asgardeo/oidc-angular --save",
        readme: "https://github.com/asgardeo/asgardeo-auth-angular-sdk/blob/main/README.md",
        samples: {
            root: "https://github.com/asgardeo/asgardeo-auth-angular-sdk/tree/main/samples",
            basicUsage: {
                artifact: "https://github.com/asgardeo/asgardeo-auth-angular-sdk/releases/download/v0.1.0/asgardeo-" +
                    "angular-app.zip",
                repository: "https://github.com/asgardeo/asgardeo-auth-angular-sdk/tree/main/samples/basic-usage"
            }
        }
    },
    javascript: {
        apis: "https://github.com/asgardeo/asgardeo-auth-spa-sdk#apis",
        artifact: "",
        cdn: "https://unpkg.com/@asgardeo/auth-spa@0.1.0/dist/asgardeo-spa.production.min.js",
        npmInstallCommand: "npm install @asgardeo/auth-spa --save",
        readme: "https://github.com/asgardeo/asgardeo-auth-spa-sdk/blob/main/README.md",
        samples: {
            root: "https://github.com/asgardeo/asgardeo-auth-spa-sdk/tree/main/samples",
            javascript: {
                artifact: "https://github.com/asgardeo/asgardeo-js-oidc-sdk/releases/download/v0.1.34/html-js-app.zip",
                repository: "https://github.com/asgardeo/asgardeo-js-oidc-sdk/tree/v0.1.34/samples/using-" +
                    "oidc-js-sdk/html-js-app"
            },
            react: {
                artifact: "https://github.com/asgardeo/asgardeo-js-oidc-sdk/releases/download/v0.1.34/react-js-app.zip",
                repository: "https://github.com/asgardeo/asgardeo-js-oidc-sdk/tree/master/samples/using-oidc-js-sdk"
            }
        }
    },
    react: {
        npmInstallCommand: "npm install @asgardeo/oidc-react --save",
        readme: "https://github.com/asgardeo/asgardeo-auth-react-sdk/blob/main/README.md"
    }
};
